package metalexer;

import junit.framework.Test;
import junit.framework.TestSuite;

/** Top-level test suite.  Contains all tests. */
public class FrontEndTests {

    public static Test suite() {
        TestSuite suite = new TestSuite();
        //$JUnit-BEGIN$
        suite.addTestSuite(ComponentScannerTests.class);
        suite.addTestSuite(ComponentParserFailTests.class);
        suite.addTestSuite(ComponentParserPassTests.class);
        suite.addTestSuite(ComponentInheritanceFailTests.class);
        suite.addTestSuite(ComponentInheritancePassTests.class);
        suite.addTestSuite(ComponentErrorTests.class);
        suite.addTestSuite(LayoutScannerTests.class);
        suite.addTestSuite(LayoutParserFailTests.class);
        suite.addTestSuite(LayoutParserPassTests.class);
        suite.addTestSuite(LayoutInheritanceFailTests.class);
        suite.addTestSuite(LayoutInheritancePassTests.class);
        suite.addTestSuite(LayoutErrorTests.class);
        suite.addTestSuite(StringEvalTests.class); //not generated
        //$JUnit-END$
        return suite;
    }

}
